<?php
/**
 * @category Ittweb
 * @package  Ittweb_Cvetta
 * @author   www.ittweb.net
 */

class Ittweb_Cvetta_Model_System_Config_Pricereferer {

  public function toOptionArray() {
    $conn = Mage::getSingleton('core/resource')->getConnection('core_read');

    // leggo il prefisso delle tabelle
    $prefix = Mage::getConfig()->getTablePrefix();

    $sql = "SELECT attribute_code, frontend_label "
        ."FROM {$prefix}eav_attribute ea "
        ."JOIN {$prefix}eav_entity_type eat ON ea.entity_type_id = eat.entity_type_id "
        ."WHERE eat.entity_type_code = 'catalog_product' "
        ."AND ea.backend_model = 'catalog/product_attribute_backend_price'";
    $attribute_data = $conn->fetchAll($sql);

    $options = array();
    if(!empty($attribute_data))
    {
      foreach($attribute_data as $data)
        $options[$data['attribute_code']] = $data['frontend_label'].' ('.$data['attribute_code'].')';
    }

    return $options;
  }

}