<?php
class Ittweb_Cvetta_AjaxController extends Mage_Core_Controller_Front_Action {

    /**
     * Returning image on the fly (compatibility with previous call method)
     *
     */
    public final function getimageAction()
    {
        $image = Mage::getModel('cvetta/image');
        $image->setFolders($this->getRequest()->getParam("image"), null, null);
        $image->createImage();

        if (!file_exists($image->cvetta_cache_dir . $image->file_name)) {
            die("file not found");
        }

        $finfo = finfo_open(FILEINFO_MIME_TYPE);
        $contentType = finfo_file($finfo, $image->cvetta_cache_dir . $image->file_name);
        finfo_close($finfo);

        header('Pragma: public');
        header('Cache-Control: max-age=86400');
        header('Expires: '.gmdate('D, d M Y H:i:s \G\M\T', time() + 86400));
        header('Content-Type: '.$contentType);
        ob_clean();
        ob_start();
        readfile($image->cvetta_cache_dir . $image->file_name);
        die();
    }

}
